aboutsummaryrefslogtreecommitdiffstats
path: root/test_parser.sh
diff options
context:
space:
mode:
authorYann Herklotz <ymherklotz@gmail.com>2017-02-07 19:02:06 +0000
committerYann Herklotz <ymherklotz@gmail.com>2017-02-07 19:02:06 +0000
commit49ff65e37739480fc843b81d3c27a3deb5f9f0bf (patch)
treea43ff33ee6ccc1af33bb0e37b36a40edec0af1f7 /test_parser.sh
parent934fc643b33e1af6c13e5658133c93a6a35b7cbd (diff)
downloadCompiler-49ff65e37739480fc843b81d3c27a3deb5f9f0bf.tar.gz
Compiler-49ff65e37739480fc843b81d3c27a3deb5f9f0bf.zip
Started parser but not working yet, finished makefile
Diffstat (limited to 'test_parser.sh')
-rw-r--r--test_parser.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test_parser.sh b/test_parser.sh
new file mode 100644
index 0000000..eaccfdb
--- /dev/null
+++ b/test_parser.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# script to test the lexer
+
+echo "========================================"
+echo " Cleaning the temporaries and outputs"
+make clean
+echo " Force building lexer"
+make -B bin/c_parser
+
+if [[ "$?" -ne 0 ]]; then
+ echo "Build failed.";
+fi
+
+echo "========================================="
+echo " Testing lexer"
+
+cat c_parser/test/test_parser.c | ./bin/c_parser | tee c_lexer/test/output.xml